Bug 1886957 - Review Request: mod2c - NMODL to C adapted for CoreNEURON simulator
Summary: Review Request: mod2c - NMODL to C adapted for CoreNEURON simulator
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andy Mender
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro, NeuroFedora
TreeView+ depends on / blocked
 
Reported: 2020-10-09 19:57 UTC by Ankur Sinha (FranciscoD)
Modified: 2020-10-23 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-21 19:58:40 UTC
Type: ---
Embargoed:
andymenderunix: fedora-review+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2020-10-09 19:57:34 UTC
Spec URL: https://ankursinha.fedorapeople.org/mod2c/mod2c.spec
SRPM URL: https://ankursinha.fedorapeople.org/mod2c/mod2c-2.1.0-1.20201009git5a7f820748a0ff8443dc7bdabfb371f2a042d053.fc33.src.rpm

Description: MOD2C is NMODL to C adapted for CoreNEURON simulator.

Fedora Account System Username: ankursinha

Comment 1 Andy Mender 2020-10-10 12:03:06 UTC
Koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=53143276

> Name:       mod2c
> Version:    2.1.0

I was wondering where the version comes from, but I see it's inside the CMakeLists file: https://github.com/BlueBrain/mod2c/blob/master/CMakeLists.txt#L35
However, the official GitHub release tag is at 0.9. Do you think there's a chance to encourage upstream to leverage GitHub releases?

Looks great otherwise. Package approved!

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 3-clause "New" or "Revised"
     License". 51 files have unknown license. Detailed output of
     licensecheck in
     /home/amender/rpmbuild/SPECS/mod2c/mod2c/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: mod2c-2.1.0-1.20201009git5a7f820748a0ff8443dc7bdabfb371f2a042d053.fc34.x86_64.rpm
          mod2c-debuginfo-2.1.0-1.20201009git5a7f820748a0ff8443dc7bdabfb371f2a042d053.fc34.x86_64.rpm
          mod2c-debugsource-2.1.0-1.20201009git5a7f820748a0ff8443dc7bdabfb371f2a042d053.fc34.x86_64.rpm
          mod2c-2.1.0-1.20201009git5a7f820748a0ff8443dc7bdabfb371f2a042d053.fc33.src.rpm
mod2c.x86_64: W: no-manual-page-for-binary mod2c_core
4 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (debuginfo)
-------------------
Checking: mod2c-debuginfo-2.1.0-1.20201009git5a7f820748a0ff8443dc7bdabfb371f2a042d053.fc34.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
(none): E: no installed packages by name mod2c
(none): E: no installed packages by name mod2c-debugsource
(none): E: no installed packages by name mod2c-debuginfo
0 packages and 0 specfiles checked; 0 errors, 0 warnings.



Source checksums
----------------
https://github.com/BlueBrain/mod2c/archive/5a7f820748a0ff8443dc7bdabfb371f2a042d053/mod2c-5a7f820748a0ff8443dc7bdabfb371f2a042d053.tar.gz :
  CHECKSUM(SHA256) this package     : 7fab0ce445a0e42f6c5bf2b73ba5fe336bbdef74253275fa14c4ffaaa60ca0ab
  CHECKSUM(SHA256) upstream package : 7fab0ce445a0e42f6c5bf2b73ba5fe336bbdef74253275fa14c4ffaaa60ca0ab


Requires
--------
mod2c (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    rtld(GNU_HASH)

mod2c-debuginfo (rpmlib, GLIBC filtered):

mod2c-debugsource (rpmlib, GLIBC filtered):



Provides
--------
mod2c:
    mod2c
    mod2c(x86-64)

mod2c-debuginfo:
    debuginfo(build-id)
    mod2c-debuginfo
    mod2c-debuginfo(x86-64)

mod2c-debugsource:
    mod2c-debugsource
    mod2c-debugsource(x86-64)

Comment 2 Ankur Sinha (FranciscoD) 2020-10-12 09:01:27 UTC
Thanks for the quick review, Andy!

Yes, I'll file a bug upstream requesting a new release/tag and see what they say. 

Requesting SCM now.

Comment 3 Gwyn Ciesla 2020-10-12 19:32:29 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/mod2c

Comment 4 Fedora Update System 2020-10-12 21:31:51 UTC
FEDORA-2020-e1565a24f8 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-e1565a24f8

Comment 5 Fedora Update System 2020-10-12 21:31:52 UTC
FEDORA-2020-de51e0a36f has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-de51e0a36f

Comment 6 Fedora Update System 2020-10-12 22:46:31 UTC
FEDORA-2020-e1565a24f8 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-e1565a24f8 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-e1565a24f8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-10-13 20:18:43 UTC
FEDORA-2020-de51e0a36f has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-de51e0a36f \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-de51e0a36f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-10-21 19:58:40 UTC
FEDORA-2020-de51e0a36f has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-10-23 22:12:51 UTC
FEDORA-2020-e1565a24f8 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.